Subject: Re: [Non-Bug] cloning a repository with a default MASTER branch tries to check out the master branch

From: Junio C Hamano <[email-masked]>
Date: Fri, 26 May 2017 08:28:09 +0900

Jeff King <[email-masked]> writes:

> I dunno. I was thinking there might be a quick tweak, but I'm wondering
> if this arcane case is worth the restructuring we'd have to do to
> support it. It only comes up when you've moved the server repo's HEAD to
> an unborn branch _and_ you have other refs (since otherwise we don't
> even send capabilities at all!).

Thanks for digging.  You made me to start doubting it is worth
doing, too.